Post Go back to editing

EVAL-ADICUP-3029 Examples in CCES 2.10.1 can not find required version of add-ins

Category: Software
Product Number: EVAL-ADICUP-3029 Examples in CCES 2.10.1
Software Version: CCES 2.10.1

I am currently developing prototypes on AduCM-3029 which is an Arm Cortex-M3 Core MCU. I used the recommended EVAL-ADICUP-3029 evaluation development board and CrossCore Embedded Studio Environment. Since the integrated development environment used by the related user guide is CrossCore Embedded Studio (v2.6.0), the following Issues are found during the running code samples of EVAL-ADICUP-3029:

That is, these Add-in plugins that should be automatically installed by the package manager are not installed. And even after I update the package manager by setting the http proxy pipeline that can definitely access the ADI server, the corresponding plug-in is still not found.

Please help me to solve it, thank you!

Top Replies

Parents Reply
  • Thanks for your reply,

    As you said, I followed adicup3029 guide and at first I install the default CMSIS package-- version 5.9.0 which is the latest version. Then I ran Blinky-Example of eval-adicup-3029 sample project and met issue above.

    Checking twice version of each packages, I found guide of adicup3029 mentioned using version 4.5.0. So I changed every package installed by Package Manager to compatible with guide recorded. But same issue occured.

    Figure below showed my CMSIS version.

Children
  • Hi there -

    I tested out the Blinky example by installing the CMSIS-Packs:

    AnalogDevices.ADuCM302x_DFP 3.2.0
    AnalogDevices.EVAL-ADICUP3029_BSP 1.1.0
    ARM.CMSIS 5.5.0

    In the CMSIS Pack Manager, I selected the Blinky Example (blinky_example EVAL-ADICUP3029) and clicked Copy.

    In the open project, I opened the System Overview (double-click on system.svc) and removed all the components that were listed and had a warning. They're no longer supported.

    I found that the project built successfully.

    Unfortunately, I am unable to test the final binary to see if it will run, but I hope the above proves useful to you.